Skip to main content
PUT
Update purchase order

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The purchase order ID

Example:

1

Body

application/json
partner_id
integer

Vendor partner ID. The id of an existing record in the partners_partners table.

Example:

12

currency_id
integer

Currency ID. The id of an existing record in the currencies table.

Example:

1

ordered_at
string

Order deadline datetime. Must be a valid date.

Example:

"2026-02-20 10:00:00"

company_id
integer

Company ID. The id of an existing record in the companies table.

Example:

1

partner_reference
string | null

Vendor reference. Must not be greater than 255 characters.

Example:

"VEN-REF-009"

requisition_id
integer | null

Purchase agreement ID. The id of an existing record in the purchases_requisitions table.

Example:

5

planned_at
string | null

Must be a valid date.

Example:

"2026-03-03T04:25:45"

user_id
integer | null

Buyer user ID. The id of an existing record in the users table.

Example:

2

payment_term_id
integer | null

Payment term ID. The id of an existing record in the accounts_payment_terms table.

Example:

4

incoterm_id
integer | null

Incoterm ID. The id of an existing record in the accounts_incoterms table.

Example:

3

description
string | null

Terms and conditions / internal description.

Example:

"Please ship in one lot."

origin
string | null

Must not be greater than 255 characters.

Example:

"b"

lines
object[]

Array of purchase order lines with writable fields from the order form. Must have at least 1 items.

Example:

Response

Success